Take the 2-minute tour ×
Ask Different is a question and answer site for power users of Apple hardware and software. It's 100% free, no registration required.

I recently passed my iPhone 2G along to a friend without a smartphone, mainly for the sake of giving him a possibility to use Whatsapp. Now it seems that Whatsapp has suddenly stopped supporting the old app - the latest update is definitely out of the question as nobody compiles for iOS 3 anymore. When I start it, it says 'This version of Whatsapp is too old.'

I was wondering if anyone has any suggestion regarding either getting a newer version of Whatsapp on the device (what's the newest version that works on iOS 3.1.3?) or fooling Whatsapp into thinking it's a newer version? Editing a plist?

I have SSH access into the phone, so I figured that might help. I just read in the info.plist that it's Whatsapp version 2.8.4. Simply changing this did not work as intended, obviously - Whatsapp has also changed the verification process, such that you receive a 6 digit code rather than the 3 digit one the 2.8.4 version expects.

share|improve this question
    
    
@bassplayer7 I did not update Whatsapp. I'm unable to update the app, as the App Store says its not available for my iOS. It's the app itself that does the check now (after entering your phone number). Oddly enough the app bundle was not updated. –  Joost Jan 16 '13 at 22:53
1  
Thank you for clarifying. I can see it is different then the question/answer I linked to. –  bassplayer7 Jan 16 '13 at 22:56
    
It seems there's quite a lobby of Angry People™ out there already: apptimemachine.com/compatibility.php –  Joost Jan 16 '13 at 23:08
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.